<?php
include_once 'sys/inc/start.php';
$doc = new document(1);
$doc->title = 'Жалоба на пользователя';




$ank = new user(@$_GET['id']);


if (!$ank->group || $ank->group > $user->group)
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');
$doc->err('Пользователь не найден');
exit;
}



$menu= new menu_code('code'); // загружаем меню кодекса
$doc->title ='Жалоба на "'.$ank->login.'"';


if (isset($_POST['complaint']))
{
$link=!empty($_POST['link'])?(string)$_POST['link']:false;
$code=!empty($_POST['code'])?(string)$_POST['code']:false;
$comm=text::input_text(@$_POST['comment']);

if (!$link)$doc->err('Не указана ссылка на нарушение');
elseif (!isset($menu->menu_arr[$code]))$doc->err('Не выбрано нарушение');
elseif (!$comm)$doc->err('Необходимо прокомментировать жалобу');
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `complaints` WHERE `id_user` = '$user->id' AND `id_ank` = '$ank->id' AND `link` = '".my_esc($link)."' AND `time` > '".DAY_TIME."'"), 0))$design->err('Вы уже жаловались сегодня на этого пользователя');
else
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);

mysql_query("INSERT INTO `complaints` (`time`, `id_user`, `id_ank`, `link`, `code`, `comment`)
VALUES ('".TIME."', '$user->id', '$ank->id', '".my_esc($link)."', '".my_esc($code)."', '".my_esc($comm)."')");

$doc->msg('Жалоба будет рассмотрена модератором');

if (!empty($_GET['return']))$doc->ret('Вернуться',for_value($_GET['return']));

exit;
}
}



$link=!empty($_GET['link'])?$_GET['link']:(!empty($_POST['link'])?$_POST['link']:false);



$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?'.passgen().'&amp;id='.$ank->id.(!empty($_GET['return'])?'&amp;return='.for_value($_GET['return']):null));
$elements=array();
$elements[]=array('type'=>'input_text', 'title'=>'Ссылка', 'br'=>1, 'info'=>array('name'=>'link', 'value'=>$link));


$elements[]=array('type'=>'select', 'br'=>1, 'title'=>'Нарушение', 'info'=>array('name' => 'code','options' => $menu->options()));


$elements[]=array('type'=>'textarea', 'title'=>'Комментарий', 'br'=>1, 'info'=>array('name'=>'comment'));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('value'=>'Пожаловаться', 'name'=>'complaint')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');





if (!empty($_GET['return']))$doc->ret('Вернуться',for_value($_GET['return']));

?>
